Summary:	Adobe Utopia Type1 font
Summary(pl.UTF-8):	Font Type1 Adobe Utopia
Name:		xorg-font-font-adobe-utopia-type1
Version:	1.0.5
Release:	1%{?tld}
License:	distributable (see COPYING)
Group:		Fonts
Source0:	https://xorg.freedesktop.org/releases/individual/font/font-adobe-utopia-type1-%{version}.tar.xz
# Source0-md5:	546d17feab30d4e3abcf332b454f58ed
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	fontconfig
BuildRequires:	t1utils
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.2
BuildRequires:	xorg-util-util-macros >= 1.20
BuildRequires:	xz
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/Type1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Adobe Utopia Type1 font.

%description -l pl.UTF-8
Font Type1 Adobe Utopia.

%prep
%setup -q -n font-adobe-utopia-type1-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if "%{_gnu}" != "-gnux32"
	--build=%{_host} \
	--host=%{_host} \
%endif
	--with-fontdir=%{_fontsdir}/Type1

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# separate *.afm, convert *.pfa to .pfb
cd $RPM_BUILD_ROOT%{_fontsdir}/Type1
install -d afm
mv -f *.afm afm
for f in *.pfa ; do
	t1binary $f `basename $f .pfa`.pfb
	rm -f $f
done
sed -e '1d;s/\.pfa /.pfb /' fonts.scale > fonts.scale.adobe-utopia
rm -f fonts.scale fonts.dir fonts.cache-1
cat > Fontmap.adobe-utopia <<EOF
/Utopia-BoldItalic                       (UTBI____.pfb) ;
/Utopia-Bold                             (UTB_____.pfb) ;
/Utopia-Italic                           (UTI_____.pfb) ;
/Utopia-Regular                          (UTRG____.pfb) ;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst Type1

%postun
fontpostinst Type1

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%{_fontsdir}/Type1/UT*.pfb
%{_fontsdir}/Type1/afm/UT*.afm
%{_fontsdir}/Type1/fonts.scale.adobe-utopia
%{_fontsdir}/Type1/Fontmap.adobe-utopia
%changelog
* Thu Apr 25 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-font-font-adobe-utopia-type1.git;a=log;h=817fa275b44e1c69840a40b4ba6333182fa9f6ae

* Wed Mar 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 817fa27
- updated to 1.0.5

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 63d2064
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 852a649
- dropped pre-cvs changelog

* Mon Nov 15 2010 Jakub Bogusz <qboosh@pld-linux.org> a95a206
- updated to 1.0.4

* Tue Oct 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 7e7929a
- updated to 1.0.3

* Fri Oct 16 2009 Jakub Bogusz <qboosh@pld-linux.org> 3dc8b7d
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version, BR: font-util

* Mon Oct 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 62c679d
- up to 1.0.2

* Sun Oct 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 5d6637f
- BA: noarch
- release 2

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> e0fe3a3
- more verbose files

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 1c70af1
- nicer font name

* Sun Apr 01 2007 Jakub Bogusz <qboosh@pld-linux.org> b1ff67f
- create .Fontmap file
- release 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 359030c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3ca5092
- converted to UTF-8

* Tue Jan 03 2006 Jakub Bogusz <qboosh@pld-linux.org> 58bd8ef
- more appropriate License

* Tue Jan 03 2006 Jakub Bogusz <qboosh@pld-linux.org> 535c5d0
- pkgconfig not used here

* Tue Jan 03 2006 Jakub Bogusz <qboosh@pld-linux.org> 72294fc
- 1.0.1 (X11R7.0 release)

* Mon Dec 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 800725e
- restoted rev 1.5 changelog entry

* Mon Dec 05 2005 Jakub Bogusz <qboosh@pld-linux.org> f7635a1
- generate fonts.scale fragments properly

* Mon Dec 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 574dac9
- 0.99.1 (X11R7.0-RC3)
- use system fonts infrastructure

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 5c823e8
- pkgconfig epoch

